changeset 1476:1f81c0d18c75

Build also release version of VM. Fix towards making SpecJVM2008 run.
author Thomas Wuerthinger <wuerthinger@ssw.jku.at>
date Fri, 26 Nov 2010 12:12:35 +0100
parents 7641338cfc92
children 30e1f67703da
files domake make/linux/makefiles/launcher.make make/linux/makefiles/vm.make runscimark.sh src/share/vm/c1x/c1x_CodeInstaller.cpp src/share/vm/c1x/c1x_Compiler.cpp src/share/vm/includeDB_compiler1
diffstat 7 files changed, 30 insertions(+), 16 deletions(-) [+]
line wrap: on
line diff
--- a/domake	Thu Nov 25 19:21:22 2010 +0100
+++ b/domake	Fri Nov 26 12:12:35 2010 +0100
@@ -1,6 +1,7 @@
 #!/bin/bash
 
-test -n "$JRE7" || { echo "Need to set JRE7 environment variable to the base of a JRE 1.7"; exit 1; }
+test -n "$JDK7" || { echo "Need to set JDK7 environment variable to the base of a JDK 1.7"; exit 1; }
+test -n "$JDK7G" || { echo "Need to set JDK7G environment variable to the base of a JDK 1.7"; exit 1; }
 
 # Resolve location of this script
 me="${BASH_SOURCE[0]}"
@@ -9,9 +10,18 @@
 done
 graal_home=$(cd `dirname $me`; pwd)
 
-grep '-client KNOWN' $JRE7/lib/amd64/jvm.cfg >/dev/null
+grep '-client KNOWN' $JDK7/jre/lib/amd64/jvm.cfg >/dev/null
 if [ $? -ne 0 ] ; then
-    echo "The setting for -client in $JRE7/lib/amd64/jvm.cfg must be:"
+    echo "The setting for -client in $JDK7/jre/lib/amd64/jvm.cfg must be:"
+    echo
+    echo "  -client KNOWN"
+    echo
+    exit 1
+fi
+
+grep '-client KNOWN' $JDK7G/jre/lib/amd64/jvm.cfg >/dev/null
+if [ $? -ne 0 ] ; then
+    echo "The setting for -client in $JDK7G/jre/lib/amd64/jvm.cfg must be:"
     echo
     echo "  -client KNOWN"
     echo
@@ -20,14 +30,14 @@
 
 java_link="$graal_home/c1x4hotspotsrc/hotspot/java"
 if [ ! -e $java_link ]; then
-    echo "Creating link: $java_link -> $JRE7/bin/java"
-    ln -s $JRE7/bin/java $java_link
+    echo "Creating link: $java_link -> $JDK7/jre/bin/java"
+    ln -s $JDK7/jre/bin/java $java_link
 fi
 
 pushd $graal_home/make
-ALT_BOOTDIR=/usr/lib/jvm/java-6-openjdk/ LANG=C ARCH_DATA_MODEL=64 HOTSPOT_BUILD_JOBS=2 make jvmg1
-echo "Copying binaries to JRE7 directory $JRE7"
-cp ../build/linux/linux_amd64_compiler1/jvmg/libjvm.so $JRE7/lib/amd64/client
-cp ../build/linux/linux_amd64_compiler1/jvmg/libjsig.so $JRE7/lib/amd64/client
+
+ARCH_DATA_MODEL=64 LANG=C HOTSPOT_BUILD_JOBS=4 ALT_BOOTDIR=$JDK7G INSTALL=$JDK7G/jre make jvmg1
+ARCH_DATA_MODEL=64 LANG=C HOTSPOT_BUILD_JOBS=4 ALT_BOOTDIR=$JDK7 INSTALL=$JDK7/jre make product1
+
 popd
 
--- a/make/linux/makefiles/launcher.make	Thu Nov 25 19:21:22 2010 +0100
+++ b/make/linux/makefiles/launcher.make	Fri Nov 26 12:12:35 2010 +0100
@@ -72,5 +72,5 @@
 	    $(LINK_LAUNCHER/PRE_HOOK) \
 	    $(LINK_LAUNCHER) $(LFLAGS_LAUNCHER) -o $@ $(LAUNCHER.o) $(LIBS_LAUNCHER); \
 	    $(LINK_LAUNCHER/POST_HOOK) \
-	    [ -f $(LAUNCHER_G) ] || { ln -s $@ $(LAUNCHER_G); }; \
+	    #[ -f $(LAUNCHER_G) ] || { ln -s $@ $(LAUNCHER_G); }; \
         }
--- a/make/linux/makefiles/vm.make	Thu Nov 25 19:21:22 2010 +0100
+++ b/make/linux/makefiles/vm.make	Fri Nov 26 12:12:35 2010 +0100
@@ -209,7 +209,6 @@
 		       $(LFLAGS_VM) -o $@ $(LIBJVM.o) $(LIBS_VM);       \
 	    $(LINK_LIB.CC/POST_HOOK)                                    \
 	    rm -f $@.1; ln -s $@ $@.1;                                  \
-	    [ -f $(LIBJVM_G) ] || { ln -s $@ $(LIBJVM_G); ln -s $@.1 $(LIBJVM_G).1; }; \
 	    if [ -x /usr/sbin/selinuxenabled ] ; then                   \
 	      /usr/sbin/selinuxenabled;                                 \
               if [ $$? = 0 ] ; then					\
@@ -220,6 +219,7 @@
 	      fi							\
 	    fi                                                          \
 	}
+	    #[ -f $(LIBJVM_G) ] || { ln -s $@ $(LIBJVM_G); ln -s $@.1 $(LIBJVM_G).1; }; \
 
 DEST_JVM = $(JDK_LIBDIR)/$(VM_SUBDIR)/$(LIBJVM)
 
--- a/runscimark.sh	Thu Nov 25 19:21:22 2010 +0100
+++ b/runscimark.sh	Fri Nov 26 12:12:35 2010 +0100
@@ -1,6 +1,6 @@
 #!/bin/bash
-if [ -z "${JRE7}" ]; then
-  echo "JRE7 is not defined."
+if [ -z "${JDK7}" ]; then
+  echo "JDK7 is not defined."
   exit 1;
 fi
 if [ -z "${MAXINE}" ]; then
@@ -18,5 +18,5 @@
 for (( i = 1; i <= 5000; i++ ))      ### Outer for loop ###
 do
   echo "$i "
-  ${JRE7}/bin/java -client -esa -ea -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+UseC1X -Xms32m -Xmx100m -Xbootclasspath/p:${MAXINE}/C1X/bin:${MAXINE}/CRI/bin:${MAXINE}/Base/bin:${MAXINE}/Assembler/bin:${C1X}/c1x4hotspotsrc/HotSpotVM/bin -Xbootclasspath/a:${SCIMARK} -C1X:+PrintTimers  jnt.scimark2.commandline -large
+  ${JDK7}/jre/bin/java -client -esa -ea -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+PrintCompilation -XX:+UseC1X -Xms32m -Xmx100m -Xbootclasspath/p:${MAXINE}/C1X/bin:${MAXINE}/CRI/bin:${MAXINE}/Base/bin:${MAXINE}/Assembler/bin:${C1X}/c1x4hotspotsrc/HotSpotVM/bin -Xbootclasspath/a:${SCIMARK} -C1X:+PrintTimers  jnt.scimark2.commandline -large
 done
--- a/src/share/vm/c1x/c1x_CodeInstaller.cpp	Thu Nov 25 19:21:22 2010 +0100
+++ b/src/share/vm/c1x/c1x_CodeInstaller.cpp	Fri Nov 26 12:12:35 2010 +0100
@@ -127,7 +127,7 @@
   } else if (value->is_a(CiConstant::klass())){
     oop obj = CiConstant::object(value);
     jlong prim = CiConstant::primitive(value);
-    if (type == T_INT || type == T_FLOAT) {
+    if (type == T_INT || type == T_FLOAT || type == T_SHORT || type == T_CHAR || type == T_BOOLEAN || type == T_BYTE) {
       return new ConstantIntValue(*(jint*)&prim);
     } else if (type == T_LONG || type == T_DOUBLE) {
       return new ConstantLongValue(prim);
@@ -139,7 +139,8 @@
         obj->print();
         ShouldNotReachHere();
       }
-      //return new ConstantOopWriteValue()
+    } else if (type == T_ADDRESS) {
+      return new ConstantLongValue(prim);
     }
     tty->print("%i", type);
     ShouldNotReachHere();
--- a/src/share/vm/c1x/c1x_Compiler.cpp	Thu Nov 25 19:21:22 2010 +0100
+++ b/src/share/vm/c1x/c1x_Compiler.cpp	Fri Nov 26 12:12:35 2010 +0100
@@ -151,6 +151,7 @@
     case 'l': return T_LONG;
     case 'd': return T_DOUBLE;
     case 'a': return T_OBJECT;
+    case 'r': return T_ADDRESS;
     case '-': return T_ILLEGAL;
     default:
       fatal1("unexpected CiKind: %c", ch);
--- a/src/share/vm/includeDB_compiler1	Thu Nov 25 19:21:22 2010 +0100
+++ b/src/share/vm/includeDB_compiler1	Fri Nov 26 12:12:35 2010 +0100
@@ -453,6 +453,8 @@
 c1x_CodeInstaller.cpp                   c1x_TargetMethod.hpp
 c1x_CodeInstaller.cpp                   c1x_VmIds.hpp
 c1x_CodeInstaller.cpp                   c1_Runtime1.hpp
+c1x_CodeInstaller.cpp                   vmreg.hpp
+c1x_CodeInstaller.cpp                   vmreg_<arch>.inline.hpp
 
 c1x_Compiler.hpp                        abstractCompiler.hpp